Bug 170013 - printer test page: add username to lpr if SUDO_USER env var is available
printer test page: add username to lpr if SUDO_USER env var is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-06 11:38 EDT by Richard Renard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 0.6.144-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 07:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for the bug (561 bytes, patch)
2005-10-06 11:40 EDT, Richard Renard
no flags Details | Diff

  None (edit)
Description Richard Renard 2005-10-06 11:38:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20051003 Debian/1.4.99+1.5beta1.dfsg-5 Firefox/1.4

Description of problem:
The following fix adds support for the -U option for the lpr command when printing the test page.
-U option is added when the SUDO_USER environment variable is available, which is the case when launched as "sudo /usr/sbin/printconf-gui".

Specifiying the user is useful if one wants to test printer with smbspool and kerberos, and maybe for other backend (?).
smbspool needs to know the user in order to get the kerberos ticket otherwise the printing job is done as "root" and fails...

Version-Release number of selected component (if applicable):
system-config-printer-0.6.131.3-1

How reproducible:
Always

Steps to Reproduce:
1. print test page fails with kerberos smb printers
2.
3.
  

Additional info:
Comment 1 Richard Renard 2005-10-06 11:40:05 EDT
Created attachment 119673 [details]
patch for the bug
Comment 2 Tim Waugh 2005-10-07 06:37:04 EDT
Thanks.  Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.